package com.sunxung.factoring.entity.signconfirmation;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * --销售合同审核人员信息历史表
 * </p>
 *
 * @author liutao
 * @since 2023-05-16
 */
@TableName("sign_confirmation_electronic_info")
public class SignConfirmationElectronicInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 签署确认表Id
     */
    @TableField("sign_confirmation_id")
    private Long signConfirmationId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同id
     */
    @TableField("contract_id")
    private String contractId;

    /**
     * 电子签文件
     */
    @TableField("file_id")
    private Long fileId;

    /**
     * 电子签个人信息表Id
     */
    @TableField("electronic_signature_personal_id")
    private Long electronicSignaturePersonalId;

    /**
     * 客户合同交易id
     */
    @TableField("transaction_id")
    private String transactionId;

    /**
     * 客户签署状态 0 未签署 1 已签署
     */
    @TableField("sign_status")
    private Integer signStatus;

    /**
     * 电子签回调文件
     */
    @TableField("back_file_id")
    private Long backFileId;

    /**
     * 出证电子签文件
     */
    @TableField("report_file_id")
    private Long reportFileId;

    public Long getSignConfirmationId() {
        return signConfirmationId;
    }

    public void setSignConfirmationId(Long signConfirmationId) {
        this.signConfirmationId = signConfirmationId;
    }
    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }
    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }
    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }
    public Long getElectronicSignaturePersonalId() {
        return electronicSignaturePersonalId;
    }

    public void setElectronicSignaturePersonalId(Long electronicSignaturePersonalId) {
        this.electronicSignaturePersonalId = electronicSignaturePersonalId;
    }
    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public Integer getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Integer signStatus) {
        this.signStatus = signStatus;
    }

    public Long getBackFileId() {
        return backFileId;
    }

    public void setBackFileId(Long backFileId) {
        this.backFileId = backFileId;
    }
    public Long getReportFileId() {
        return reportFileId;
    }

    public void setReportFileId(Long reportFileId) {
        this.reportFileId = reportFileId;
    }

    @Override
    public String toString() {
        return "SignConfirmationElectronicInfo{" +
            "signConfirmationId=" + signConfirmationId +
            ", contractName=" + contractName +
            ", contractId=" + contractId +
            ", fileId=" + fileId +
            ", electronicSignaturePersonalId=" + electronicSignaturePersonalId +
            ", transactionId=" + transactionId +
            ", signStatus=" + signStatus +
            ", backFileId=" + backFileId +
            ", reportFileId=" + reportFileId +
        "}";
    }
}
